| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Neural.MapDataDefinitionDto Class Reference
Inheritance diagram for IG.Neural.MapDataDefinitionDto:
[legend]
Collaboration diagram for IG.Neural.MapDataDefinitionDto:
[legend]

## Public Member Functions
| MapDataDefinitionDto ()
override MappingDefinition | CreateObject ()

## Public Attributes
MapImputElementDefinitionDto[] | Input = null
MapOutputElementDefinitionDto[] | Output = null
int | InputLength = 10
int | OutputLength = 10
bool | CheckInputUniqueness = false
bool | CheckOutputUniqueness = false
bool | CheckInputNameConsistency = false
bool | CheckOutputNameConsistency = false

## Protected Member Functions
override void | CopyFromPlain (MappingDefinition obj)
override void | CopyToPlain (ref MappingDefinition obj)
Protected Member Functions inherited from IG.Lib.SerializationDto< MappingDefinition >
| SerializationDto ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< MappingDefinition >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyObjectFromObject<DtoType> for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Constructor & Destructor Documentation

IG.Neural.MapDataDefinitionDto.MapDataDefinitionDto | ( |  | ) |
| inline

## Member Function Documentation

override MappingDefinition IG.Neural.MapDataDefinitionDto.CreateObject | ( |  | ) |
| inline

override void IG.Neural.MapDataDefinitionDto.CopyFromPlain | ( | MappingDefinition | obj | ) |
| inline protected

References IG.Neural.MappingDefinition.CheckInputNameConsistency, IG.Neural.MappingDefinition.CheckInputUniqueness, IG.Neural.MappingDefinition.CheckOutputNameConsistency, IG.Neural.MappingDefinition.CheckOutputUniqueness, IG.Neural.MappingDefinition.MapInputElementList, IG.Neural.MappingDefinition.MapOutputElementList, IG.Neural.MappingDefinition.MappedInputLength, and IG.Neural.MappingDefinition.MappedOutputLength.

override void IG.Neural.MapDataDefinitionDto.CopyToPlain | ( | ref MappingDefinition | obj | ) |
| inline protected

## Member Data Documentation

MapImputElementDefinitionDto [] IG.Neural.MapDataDefinitionDto.Input = null

MapOutputElementDefinitionDto [] IG.Neural.MapDataDefinitionDto.Output = null

int IG.Neural.MapDataDefinitionDto.InputLength = 10

int IG.Neural.MapDataDefinitionDto.OutputLength = 10

bool IG.Neural.MapDataDefinitionDto.CheckInputUniqueness = false

bool IG.Neural.MapDataDefinitionDto.CheckOutputUniqueness = false

bool IG.Neural.MapDataDefinitionDto.CheckInputNameConsistency = false

bool IG.Neural.MapDataDefinitionDto.CheckOutputNameConsistency = false

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/testneural/NeuralMapData.cs